<template>
  <div class="container">
    <div class="text-center pt-4">
      <h2>
        <b>Update Profile</b>
      </h2>
    </div>
    <div class="row g-0 border">
      <div class="col-6 col-md-4">
        <div class="mb-4 text-center">
          <img
            :src="user.Data.User.photo ? user.Data.User.photo : 'https://dummyimage.com/640x4:3/'"
            class="rounded-circle"
            alt="..."
            width="200px"
            height="200px"
          />
        </div>
        <div class="input-group mb-3 px-3" v-if="updatephoto">
          <input
            type="file"
            class="form-control"
            id="inputGroupFile03"
            aria-describedby="inputGroupFileAddon03"
            aria-label="Upload"
          />
        </div>
        <div class="px-3" v-if="updatephoto">
          <button
            class="btn btn-success btn-sm mt-1"
            style="background-color: #00686b"
          >
            Update
          </button>
          <button class="btn btn-outline-dark btn-sm mt-1" @click="handleupdatephoto">Cancel</button>
        </div>
        <div class="px-3 text-center" v-else>
          <button
            class="btn btn-success btn-sm mt-1"
            style="background-color: #00686b"
            @click="handleupdatephoto"
          >
            Edit Photo Profile
          </button>
        </div>
      </div>
      <div class="col-sm-6 col-md-8">
        <div class="p-3 border bg-light">
          <form>
            <div class="mb-3">
              <label for="exampleInputEmail1" class="form-label">Name</label>
              <input type="email" class="form-control" v-model="user.Data.User.name" :disabled="updatephoto" >
            </div>
            <div class="mb-3">
              <label for="exampleInputEmail1" class="form-label"
                >Username</label
              >
              <input type="email" class="form-control" v-model="user.Data.User.username" :disabled="updatephoto">
            </div>
            <div class="mb-3">
              <label for="exampleInputEmail1" class="form-label">Email address</label>
              <input type="email" class="form-control" v-model="user.Data.User.email" :disabled="updatephoto">
            </div>
            <div class="mb-3">
              <label for="exampleInputPassword1" class="form-label">Password</label>
              <div class="input-group">
                <input
                  :type="typeFormPass ? 'password' : 'text'"
                  class="form-control"
                  v-model="password"
                  :disabled="updatephoto"
                >
                <button
                  class="btn btn-outline-secondary"
                  type="button"
                  @click="handletypeFormPass"
                >
                  <i v-if="typeFormPass" class="bi bi-eye-fill"></i>
                  <i v-else class="bi bi-eye-slash-fill"></i>
                </button>
              </div>
              <small class="form-text text-success"
                >Kosongkan Jika tidak ingin dirubah</small
              >
            </div>
            <button
              type="button"
              @click="submit"
              class="btn btn-secondary btn-sm"
              style="background-color: #00686b"
              :disabled="updatephoto"
            >
              Update Profile
            </button>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import { mapMutations } from "vuex";

export default {
  name: "login",
  data() {
    return {
      typeFormPass: true,
      updatephoto: false,
      name: "",
      username: "",
      email: "",
      password: "",
      comfirmpassword: "",
      msg: [],
      type: "password",
    };
  },
  computed: {
    ...mapGetters({
      transactions: "auth/transactions",
      user: "auth/user",
      alert: "alert/alert",
      alertError: "alert/alertError",
      alertText: "alert/alertText",
    }),
  },

  methods: {
    ...mapMutations({
      setAuth: "auth/set",
      checkToken: "auth/cekToken",
      setIsLogin: "auth/setisLogin",
      getAlert: "alert/getAlert",
      closeAlert: "alert/closeAlert",
    }),

    submit() {
      let formData = {
        email: this.email,
        password: this.password,
        password_confirmation: this.comfirmpassword,
      };

      axios({
        method: "post",
        url: "/api/Auth/Update-Password",
        data: formData,
      })
        .then((response) => {
          let dataUserLogin = response.data;
          this.getAlert("Update Password Berhasil");
          this.$router.push("/Login");
        })
        .catch((error) => {
          alert("catch error");
          console.log(error);
        });
    },

    handletypeFormPass() {
      this.typeFormPass = !this.typeFormPass;
    },
    handleupdatephoto() {
      this.updatephoto = !this.updatephoto;
    },
  },
   mounted() {
    if (this.isLogin) {
      this.checkToken(this.user);
    }
  },
};
</script>
